
use datafinal06092021

******************Table 1********************************
sort newtick
****# of firms************
tab COUNTRY if newtick~=newtick[_n-1]

***Market Cap over GDP****
sort year COUNTRY
list COUNTRY mkgdp if year==2006 & COUNTRY~=COUNTRY[_n-1], clean

****# of firms (tradable sectors)****
sort newtick
 tab COUNTRY if newtick~=newtick[_n-1] & tradable==1
****# of firms (commodity sectors)****
sort newtick
 tab COUNTRY if newtick~=newtick[_n-1] & comsector==1
   
******************Table 2******************************

tabstat leve tqa size profit tang, stat(n p50 mean sd min max) col(stat)
sort cty1 year 
tabstat  t1 realint growthgdp   inflowgdp dusrate if cty1~=cty1[_n-1] | year~=year[_n-1] ,  stat(n p50 mean sd min max) col(stat)
sort siccd
tabstat  uncer if siccd~=siccd[_n-1] ,  stat(n p50 mean sd min max) col(stat)

*****table 3**********
sort newtick year
xi: areg leve  t1  tqa size profit tang  i.year,  a(newtick) clu(was)
xi: areg leve  t1  tqa size profit tang  realint growthgdp  inflowgdp dusrate i.year,  a(newtick) clu(was)



*****table 4*********
xi: areg leve  uncer  tqa size profit tang  i.year,  a(aq1) clu(was)

xi: areg leve  t1 uncert1  tqa size profit tang  i.year,  a(newtick) clu(was)

xi: areg leve  t1 uncert1  tqa size profit tang  realint growthgdp inflowgdp dusrate i.year,  a(newtick) clu(was)

************Table 5*************************************
 
sort cty1 year
reg t1 x1 i.year i.cty1 if cty1~=cty1[_n-1] | year~=year[_n-1]
reg t1 x1 realint growthgdp inflowgdp dusrate i.year i.cty1 if cty1~=cty1[_n-1] | year~=year[_n-1]


***********table 6*****************



xi: areg leve  t1  tqa size profit tang  realint growthgdp   inflowgdp dusrate i.year if   lowcom==1,  a(newtick) clu(was)

xi: areg leve  t1 uncert1  tqa size profit tang  realint growthgdp   inflowgdp dusrate i.year if   lowcom==1,  a(newtick) clu(was)

xi: areg leve   finfit     tqa size profit tang  realint growthgdp   inflowgdp dusrate i.year if   lowcom==1,  a(newtick) clu(was)

xi: areg leve   finfit  finfituncer tqa size profit tang  realint growthgdp    inflowgdp dusrate i.year if  lowcom==1,  a(newtick) clu(was)


*************table 7******************************


xi: areg leve   finfit  finfituncer tqa size profit tang  realint growthgdp  inflowgdp dusrate ta1w i.year if  lowcom==1,  a(newtick) clu(was)

xi: areg leve   finfit  finfituncer tqa size profit tang  realint growthgdp  inflowgdp dusrate wggx wggxuncer i.year if  lowcom==1,  a(newtick) clu(was)

xi: areg leve   finfit  finfituncer y1 wlaglev tqa size profit tang  realint growthgdp   inflowgdp dusrate i.year if lowcom==1,  a(newtick) clu(was)

 
************Table 8********************************


xi: areg leve   finfit  finfituncer tqa size profit tang  realint growthgdp    inflowgdp dusrate i.year wcf1 if   lowcom==1,  a(newtick) clu(was)


xi: areg leve   finfit  finfituncer tqa size profit tang  realint growthgdp   inflowgdp dusrate z1 i.year if  lowcom==1,  a(newtick) clu(was)

--------------------

*****Figure 2******************
 
sort cty1 year
xi: regress t1  i.year i.cty1 if cty1~=cty1[_n-1] | year~=year[_n-1]
predict wt1 if e(sample), res
lab var wt1 "Reserves/GDP"

by cty1 year: egen aveleverage=mean(leverage)
xi: regress avelever  i.year i.cty1 if cty1~=cty1[_n-1] | year~=year[_n-1]
predict wleve if e(sample), res
lab var wleve "Country-year Mean Leverage"
twoway scatter wleve wt1 || (lfit  wleve wt1)

*****Figure 3********

xi: reg leverage i.cty1 i.year 
predict resleverage, res

xi: reg t1 i.cty1 i.year 
predict rest1, res

xtile a1 = rest1, nq(20)
sort a1
by a1: egen meanlev=mean(reslev)
by a1: egen meant1=min(rest1)

reg meanlev meant1 if a1~=a1[_n-1]
lab var meanlev "Mean Leverage"
lab var meant1 "Reserves/GDP"
twoway scatter meanlev meant1 if a1~=a1[_n-1]|| (lfit  meanlev meant1) if a1~=a1[_n-1]





